Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class Constants

    java.lang.Object
      |
      +--org.apache.naming.factory.Constants

public final class Constants
extends java.lang.Object

Static constants for this package.

Field Summary
`static java.lang.String` | `DEFAULT_EJB_FACTORY`
`static java.lang.String` | `DEFAULT_RESOURCE_ENV_FACTORY`
`static java.lang.String` | `DEFAULT_RESOURCE_FACTORY`
`static java.lang.String` | `DEFAULT_TRANSACTION_FACTORY`
`static java.lang.String` | `FACTORY`
`static java.lang.String` | `OBJECT_FACTORIES`
`static java.lang.String` | `Package`
`static java.lang.String` | `TYREX_DATASOURCE_FACTORY`
`static java.lang.String` | `TYREX_TRANSACTION_FACTORY`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Package

    public static final java.lang.String Package

### DEFAULT_RESOURCE_FACTORY

    public static final java.lang.String DEFAULT_RESOURCE_FACTORY

### DEFAULT_TRANSACTION_FACTORY

    public static final java.lang.String DEFAULT_TRANSACTION_FACTORY

### DEFAULT_RESOURCE_ENV_FACTORY

    public static final java.lang.String DEFAULT_RESOURCE_ENV_FACTORY

### DEFAULT_EJB_FACTORY

    public static final java.lang.String DEFAULT_EJB_FACTORY

### TYREX_DATASOURCE_FACTORY

    public static final java.lang.String TYREX_DATASOURCE_FACTORY

### TYREX_TRANSACTION_FACTORY

    public static final java.lang.String TYREX_TRANSACTION_FACTORY

### OBJECT_FACTORIES

    public static final java.lang.String OBJECT_FACTORIES

### FACTORY

    public static final java.lang.String FACTORY

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.